import request from '@/utils/request'

// 查询轮胎基础信息列表
export function listBasetyre(query) {
  return request({
    url: '/basetyre/basetyre/list',
    method: 'get',
    params: query
  })
}

// 查询轮胎基础信息详细
export function getBasetyre(id) {
  return request({
    url: '/basetyre/basetyre/' + id,
    method: 'get'
  })
}

// 新增轮胎基础信息
export function addBasetyre(data) {
  return request({
    url: '/basetyre/basetyre',
    method: 'post',
    data: data
  })
}

// 修改轮胎基础信息
export function updateBasetyre(data) {
  return request({
    url: '/basetyre/basetyre',
    method: 'put',
    data: data
  })
}

// 删除轮胎基础信息
export function delBasetyre(id) {
  return request({
    url: '/basetyre/basetyre/' + id,
    method: 'delete'
  })
}
